Package org.eclipse.emf.cdo

# Interface CDOAdapter

All Superinterfaces:
  `Adapter`

public interface CDOAdapter extends Adapter
A marker interface for `adapters` to indicate that change subscriptions should be registered with the repository if they are attached to `objects`.

This special marker interface is intended to be used with `CDOAdapterPolicy.CDO`. Note that you can also define your own `adapter policy` and `register` it with the `view` to make your own adapters trigger change subscriptions.

Since:
  2.0
Author:
  Simon McDuff

## Nested Class Summary

## Nested classes/interfaces inherited from interface org.eclipse.emf.common.notify.Adapter

`Adapter.Internal`

## Method Summary

### Methods inherited from interface org.eclipse.emf.common.notify.Adapter

`getTarget, isAdapterForType, notifyChanged, setTarget`